const ProjectApiCreateProjectRequest = {
  description: {
    maxLength: 200
  },
  name: {
    maxLength: 64,
    minLength: 1,
    pattern: /^[a-zA-Z0-9\._\- ]+$/
  }
};
const ProjectApiListProjectsRequest = {
  name: {
    maxLength: 64,
    minLength: 1,
    pattern: /^[a-zA-Z0-9\._\- ]+$/
  },
  page: {
    greaterThan: 0
  },
  pageSize: {
    greaterThanOrEqual: 1,
    lessThanOrEqual: 100
  }
};
const ProjectApiUpdateProjectRequest = {
  description: {
    maxLength: 200
  },
  name: {
    maxLength: 64,
    minLength: 1,
    pattern: /^[a-zA-Z0-9\._\- ]+$/
  }
};
export {
  ProjectApiCreateProjectRequest,
  ProjectApiListProjectsRequest,
  ProjectApiUpdateProjectRequest
};
