import type { DefaultValues } from '../../../bridge';
import type { AddOptionServerRequest, BMCAccess, CreateServerRequest, GetServerMetricsResponse, IP, InstallServerRequest, ListOSResponse, ListOffersResponse, ListOptionsResponse, ListServerEventsResponse, ListServerPrivateNetworksResponse, ListServersResponse, ListSettingsResponse, OS, Offer, Option, PrivateNetworkApiAddServerPrivateNetworkRequest, PrivateNetworkApiSetServerPrivateNetworksRequest, RebootServerRequest, Schema, Server, ServerPrivateNetwork, SetServerPrivateNetworksResponse, Setting, StartBMCAccessRequest, StartServerRequest, UpdateIPRequest, UpdateServerRequest, UpdateSettingRequest, ValidatePartitioningSchemaRequest } from './types.gen';
export declare const unmarshalSchema: (data: unknown) => Schema;
export declare const unmarshalIP: (data: unknown) => IP;
export declare const unmarshalOS: (data: unknown) => OS;
export declare const unmarshalOffer: (data: unknown) => Offer;
export declare const unmarshalOption: (data: unknown) => Option;
export declare const unmarshalServerPrivateNetwork: (data: unknown) => ServerPrivateNetwork;
export declare const unmarshalServer: (data: unknown) => Server;
export declare const unmarshalSetting: (data: unknown) => Setting;
export declare const unmarshalBMCAccess: (data: unknown) => BMCAccess;
export declare const unmarshalGetServerMetricsResponse: (data: unknown) => GetServerMetricsResponse;
export declare const unmarshalListOSResponse: (data: unknown) => ListOSResponse;
export declare const unmarshalListOffersResponse: (data: unknown) => ListOffersResponse;
export declare const unmarshalListOptionsResponse: (data: unknown) => ListOptionsResponse;
export declare const unmarshalListServerEventsResponse: (data: unknown) => ListServerEventsResponse;
export declare const unmarshalListServerPrivateNetworksResponse: (data: unknown) => ListServerPrivateNetworksResponse;
export declare const unmarshalListServersResponse: (data: unknown) => ListServersResponse;
export declare const unmarshalListSettingsResponse: (data: unknown) => ListSettingsResponse;
export declare const unmarshalSetServerPrivateNetworksResponse: (data: unknown) => SetServerPrivateNetworksResponse;
export declare const marshalAddOptionServerRequest: (request: AddOptionServerRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalCreateServerRequest: (request: CreateServerRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalInstallServerRequest: (request: InstallServerRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalPrivateNetworkApiAddServerPrivateNetworkRequest: (request: PrivateNetworkApiAddServerPrivateNetworkRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalPrivateNetworkApiSetServerPrivateNetworksRequest: (request: PrivateNetworkApiSetServerPrivateNetworksRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalRebootServerRequest: (request: RebootServerRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalStartBMCAccessRequest: (request: StartBMCAccessRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalStartServerRequest: (request: StartServerRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateIPRequest: (request: UpdateIPRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateServerRequest: (request: UpdateServerRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalUpdateSettingRequest: (request: UpdateSettingRequest, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalSchema: (request: Schema, defaults: DefaultValues) => Record<string, unknown>;
export declare const marshalValidatePartitioningSchemaRequest: (request: ValidatePartitioningSchemaRequest, defaults: DefaultValues) => Record<string, unknown>;
